## libkimageannotator 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kImageAnnotator LANGUAGES CXX VERSION 0.0.2)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

option(BUILD_TESTS "Build Unit Tests" OFF)

set(QT_MIN_VERSION "5.6.1")
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Test)

include(GNUInstallDirs)
include(FeatureSummary)

set(KCOLORPICKER_MIN_VERSION "0.0.1")
find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)

set(BASEPATH "${CMAKE_CURRENT_SOURCE_DIR}")
include_directories("${BASEPATH}")

add_subdirectory(src)
add_subdirectory(example)

if (BUILD_TESTS)
	enable_testing()
	add_subdirectory(tests)
endif (BUILD_TESTS)

include(CMakePackageConfigHelpers)

add_library(kImageAnnotator
			${KIMAGEANNOTATOR_SRCS}
			${CMAKE_CURRENT_SOURCE_DIR}/include/kImageAnnotator/KImageAnnotator.h
			${CMAKE_CURRENT_SOURCE_DIR}/icons/kImageAnnotator_icons.qrc
			)

add_library(kImageAnnotator::kImageAnnotator ALIAS kImageAnnotator)

target_include_directories(kImageAnnotator
						   PUBLIC
						   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
						   $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
						   )

target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)

target_compile_definitions(kImageAnnotator PRIVATE KIMAGEANNOTATOR_LIB)

set_target_properties(kImageAnnotator
					  PROPERTIES
					  ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib
					  LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib
					  RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin
					  SOVERSION ${PROJECT_VERSION}
					  )

install(TARGETS kImageAnnotator
		EXPORT kImageAnnotator-targets
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/kImageAnnotator
		DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
		)

configure_package_config_file(
		${CMAKE_CURRENT_SOURCE_DIR}/cmake/kImageAnnotatorConfig.cmake.in
		${CMAKE_CURRENT_BINARY_DIR}/cmake/kImageAnnotatorConfig.cmake
		INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kImageAnnotator
)

write_basic_package_version_file(
		${CMAKE_CURRENT_BINARY_DIR}/cmake/kImageAnnotatorConfig-version.cmake
		VERSION ${PROJECT_VERSION}
		COMPATIBILITY AnyNewerVersion
)

install(FILES
		${CMAKE_CURRENT_BINARY_DIR}/cmake/kImageAnnotatorConfig.cmake
		${CMAKE_CURRENT_BINARY_DIR}/cmake/kImageAnnotatorConfig-version.cmake
		DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kImageAnnotator
		)

export(
		EXPORT kImageAnnotator-targets
		FILE ${CMAKE_CURRENT_BINARY_DIR}/cmake/kImageAnnotator-targets.cmake
		NAMESPACE kImageAnnotator::
)

install(
		EXPORT kImageAnnotator-targets
		FILE kImageAnnotator-targets.cmake
		NAMESPACE kImageAnnotator::
		DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kImageAnnotator
)

=== src/CMakeLists.txt ===
set(KIMAGEANNOTATOR_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/gui/KImageAnnotator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/CoreView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/WidgetConfigurator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropSelectionHandler.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropSelectionRestrictor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropSelectionMoveHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scaler/ScaleDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scaler/ScaleWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scaler/ScaleSizeHandler.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationArea.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationItemFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationPropertiesFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationPathProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationTextProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemModifier.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemResizer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationMultiItemResizer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemSelector.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemMover.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemArranger.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/AbstractItemResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/AbstractRectResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/LineResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/RectResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/PathResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/ResizeHandle.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/ResizeHandlesFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationItem.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationLine.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationRect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationPath.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationLine.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationArrow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationRect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationEllipse.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumber.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationPen.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationText.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationBlur.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/KeyInputHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/TextCursor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/AddCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/DeleteCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/MoveCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ResizeCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ArrangeCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/CropCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ScaleCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/PasteCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/ShadowEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/BlurEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationItemClipboard.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationContextMenu.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/NumberManager.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/backend/Config.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/IconCreater.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/CursorHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/KeyHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/MathHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ItemHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ShapeHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ConfigNameHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/filter/IgnoreShortcutsFilter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ToolPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ColorPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/NumberPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/FillTypePicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomSpinBox.cpp
	)

set(KIMAGEANNOTATOR_SRCS ${KIMAGEANNOTATOR_SRCS} PARENT_SCOPE)

=== debian/changelog ===
libkimageannotator (0.0.2-1mx17+1) mx; urgency=medium

  * Original packaging for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 14:36:46 -0800

libkimageannotator (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 14:34:38 -0800

## libkimageannotator 0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.0.2)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.1.0)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -9,9 +9,14 @@
 set(CMAKE_AUTORCC ON)
 
 option(BUILD_TESTS "Build Unit Tests" OFF)
+option(BUILD_EXAMPLE "Build Example Application" ON)
 
 set(QT_MIN_VERSION "5.6.1")
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Test)
+
+if (UNIX)
+	find_package(X11 REQUIRED)
+endif ()
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -23,7 +28,10 @@
 include_directories("${BASEPATH}")
 
 add_subdirectory(src)
-add_subdirectory(example)
+
+if (BUILD_EXAMPLE)
+	add_subdirectory(example)
+endif (BUILD_EXAMPLE)
 
 if (BUILD_TESTS)
 	enable_testing()
@@ -47,7 +55,11 @@
 						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
 						   )
 
-target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)
+if (UNIX)
+	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker X11)
+else ()
+	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)
+endif ()
 
 target_compile_definitions(kImageAnnotator PRIVATE KIMAGEANNOTATOR_LIB)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationPathProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationTextProperties.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationBlurProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemModifier.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemResizer.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationMultiItemResizer.cpp
@@ -37,6 +38,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationPath.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationLine.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationArrow.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationDoubleArrow.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationRect.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationEllipse.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumber.cpp
@@ -45,6 +47,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationBlur.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/KeyInputHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/TextCursor.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/CapsLockStatusChecker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/AddCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/DeleteCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/MoveCommand.cpp
@@ -54,24 +57,26 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ScaleCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/PasteCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/ShadowEffect.cpp
-	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/BlurEffect.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/ImageBlurrer.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationItemClipboard.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationContextMenu.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/NumberManager.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/backend/Config.cpp
-	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/IconCreater.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/CursorHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/KeyHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/MathHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ItemHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ShapeHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ConfigNameHelper.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/IconLoader.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/filter/IgnoreShortcutsFilter.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ToolPicker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ColorPicker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/NumberPicker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/FillTypePicker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomSpinBox.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomToolButton.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomToolButtonAction.cpp
 	)
 
 set(KIMAGEANNOTATOR_SRCS ${KIMAGEANNOTATOR_SRCS} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
set(UNITTEST_SRC
	annotations/core/AnnotationAreaTest.cpp
	annotations/core/AnnotationItemFactoryTest.cpp
	annotations/core/AnnotationPropertiesFactoryTest.cpp
	annotations/modifiers/AnnotationItemResizerTest.cpp
	annotations/modifiers/AnnotationMultiItemResizerTest.cpp
	annotations/modifiers/AnnotationItemSelectorTest.cpp
	annotations/modifiers/AnnotationItemModifierTest.cpp
	annotations/modifiers/AnnotationItemArrangerTest.cpp
	annotations/modifiers/AnnotationItemMoverTest.cpp
	annotations/modifiers/resizeHandles/LineResizeHandlesTest.cpp
	annotations/modifiers/resizeHandles/RectResizeHandlesTest.cpp
	annotations/undo/AddCommandTest.cpp
	annotations/undo/DeleteCommandTest.cpp
	annotations/undo/MoveCommandTest.cpp
	annotations/undo/ResizeCommandTest.cpp
	annotations/undo/ArrangeCommandTest.cpp
	annotations/undo/CropCommandTest.cpp
	annotations/undo/ScaleCommandTest.cpp
	annotations/undo/PasteCommandTest.cpp
	annotations/items/helper/KeyInputHelperTest.cpp
	annotations/items/helper/TextCursorTest.cpp
	annotations/misc/AnnotationItemClipboardTest.cpp
	annotations/misc/NumberManagerTest.cpp
	backend/ConfigTest.cpp
	common/helper/KeyHelperTest.cpp
	common/helper/MathHelperTest.cpp
	common/helper/ItemHelperTest.cpp
	common/helper/ShapeHelperTest.cpp
	gui/cropper/CropSelectionRestrictorTest.cpp
	gui/cropper/CropSelectionMoveHelperTest.cpp
	gui/cropper/CropSelectionHandlerTest.cpp
	gui/cropper/CropHandlesTest.cpp
	gui/scaler/ScaleSizeHandlerTest.cpp
	widgets/ToolPickerTest.cpp
	widgets/ColorPickerTest.cpp
	widgets/NumberPickerTest.cpp
	widgets/FillTypePickerTest.cpp
	widgets/CustomSpinBoxTest.cpp
	)

add_library(KIMAGEANNOTATOR_STATIC STATIC ${KIMAGEANNOTATOR_SRCS})

target_link_libraries(KIMAGEANNOTATOR_STATIC Qt5::Widgets kImageAnnotator)

foreach (UnitTest ${UNITTEST_SRC})
	get_filename_component(UnitTestName ${UnitTest} NAME_WE)
	add_executable(${UnitTestName} ${UnitTest})
	target_link_libraries(${UnitTestName} KIMAGEANNOTATOR_STATIC Qt5::Test)
	add_test(${UnitTestName} ${UnitTestName})
endforeach (UnitTest)

=== debian/changelog ===
libkimageannotator (0.1.0-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jun 2019 06:12:27 -0700

=== debian/control ===
Source: libkimageannotator
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
Build-Depends: cmake, 
 debhelper (>= 11), 
 libkcolorpicker-dev, 
 qtbase5-dev (>= 5.6) 
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/DamirPorobic/kImageAnnotator/

Package: libkimageannotator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for annotating images 
 kImageAnnotator depends on kColorPicker which needs to 
 be installed before building kImageAnnotator.
 
Package: libkimageannotator-dev
Section: libdevel
Architecture: any
Depends: libkimageannotator (= ${binary:Version}), ${misc:Depends}
Description: Tool for annotating images library
 kImageAnnotator depends on kColorPicker which needs to 
 be installed before building kImageAnnotator.

## libkimageannotator 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.1.0)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.2.0)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -21,7 +21,7 @@
 include(GNUInstallDirs)
 include(FeatureSummary)
 
-set(KCOLORPICKER_MIN_VERSION "0.0.1")
+set(KCOLORPICKER_MIN_VERSION "0.1.0")
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_CURRENT_SOURCE_DIR}")
@@ -112,3 +112,13 @@
 		NAMESPACE kImageAnnotator::
 		DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kImageAnnotator
 )
+
+# uninstall target
+if(NOT TARGET uninstall)
+    configure_file(
+        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
+        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+        IMMEDIATE @ONLY)
+
+    add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,9 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/KImageAnnotator.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/CoreView.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationWidget.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationView.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/WidgetConfigurator.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationSettings.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropWidget.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropView.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropSelectionHandler.cpp
@@ -15,6 +17,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationArea.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationItemFactory.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationPropertiesFactory.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AbstractSettingsProvider.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationPathProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationTextProperties.cpp
@@ -45,6 +48,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationPen.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationText.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationBlur.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationImage.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/KeyInputHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/TextCursor.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/CapsLockStatusChecker.cpp
@@ -56,6 +60,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/CropCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ScaleCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/PasteCommand.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ChangePropertiesCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/ShadowEffect.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/ImageBlurrer.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationItemClipboard.cpp

=== debian/changelog ===
libkimageannotator (0.2.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 21 Feb 2020 16:17:29 -0800

libkimageannotator (0.1.0-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 15 Jun 2019 07:53:53 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Build-Depends: cmake, 
  debhelper (>= 11), 
- libkcolorpicker-dev, 
+ libkcolorpicker-dev (>= 0.0.1), 
  qtbase5-dev (>= 5.6) 
 Standards-Version: 3.9.8
 Section: libs

## libkimageannotator 0.2.1~prerelease

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationContextMenu.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/NumberManager.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/backend/Config.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/common/provider/ScaledSizeProvider.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/CursorHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/KeyHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/MathHelper.cpp

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -39,13 +39,17 @@
 	widgets/CustomSpinBoxTest.cpp
 	)
 
+set(TESTUTILS_SRC
+	mocks/MockSettingsProvider.cpp
+	)
+
 add_library(KIMAGEANNOTATOR_STATIC STATIC ${KIMAGEANNOTATOR_SRCS})
 
 target_link_libraries(KIMAGEANNOTATOR_STATIC Qt5::Widgets kImageAnnotator)
 
 foreach (UnitTest ${UNITTEST_SRC})
 	get_filename_component(UnitTestName ${UnitTest} NAME_WE)
-	add_executable(${UnitTestName} ${UnitTest})
+	add_executable(${UnitTestName} ${UnitTest} ${TESTUTILS_SRC})
 	target_link_libraries(${UnitTestName} KIMAGEANNOTATOR_STATIC Qt5::Test)
 	add_test(${UnitTestName} ${UnitTestName})
 endforeach (UnitTest)

=== debian/changelog ===
libkimageannotator (0.2.1~prerelease-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Feb 2020 07:01:04 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Build-Depends: cmake, 
  debhelper (>= 11), 
- libkcolorpicker-dev (>= 0.0.1), 
+ libkcolorpicker-dev (>= 0.01.1), 
  qtbase5-dev (>= 5.6) 
 Standards-Version: 3.9.8
 Section: libs

## libkimageannotator 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.2.0)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.2.1)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -21,7 +21,7 @@
 include(GNUInstallDirs)
 include(FeatureSummary)
 
-set(KCOLORPICKER_MIN_VERSION "0.1.0")
+set(KCOLORPICKER_MIN_VERSION "0.1.1")
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_CURRENT_SOURCE_DIR}")

=== debian/changelog ===
libkimageannotator (0.2.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Mar 2020 05:17:49 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Build-Depends: cmake, 
  debhelper (>= 11), 
- libkcolorpicker-dev (>= 0.01.1), 
+ libkcolorpicker-dev (>= 0.1.1), 
  qtbase5-dev (>= 5.6) 
 Standards-Version: 3.9.8
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON	\
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libkimageannotator 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.2.1)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.3.1)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -11,29 +11,41 @@
 option(BUILD_TESTS "Build Unit Tests" OFF)
 option(BUILD_EXAMPLE "Build Example Application" ON)
 
-set(QT_MIN_VERSION "5.6.1")
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Test)
+include(GNUInstallDirs)
+
+if (WIN32)
+	set(KIMAGEANNOTATOR_LANG_INSTALL_DIR "translations")
+elseif (APPLE)
+	set(KIMAGEANNOTATOR_LANG_INSTALL_DIR "../Resources")
+elseif (UNIX)
+	set(KIMAGEANNOTATOR_LANG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/kImageAnnotator/translations")
+	string(REGEX REPLACE "//" "/" KIMAGEANNOTATOR_LANG_INSTALL_DIR "${KIMAGEANNOTATOR_LANG_INSTALL_DIR}")
+endif ()
+
+set(QT_MIN_VERSION "5.9.4")
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Svg)
 
 if (UNIX)
 	find_package(X11 REQUIRED)
 endif ()
 
-include(GNUInstallDirs)
 include(FeatureSummary)
 
-set(KCOLORPICKER_MIN_VERSION "0.1.1")
+set(KCOLORPICKER_MIN_VERSION "0.1.4")
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_CURRENT_SOURCE_DIR}")
 include_directories("${BASEPATH}")
 
 add_subdirectory(src)
+add_subdirectory(translations)
 
 if (BUILD_EXAMPLE)
 	add_subdirectory(example)
 endif (BUILD_EXAMPLE)
 
 if (BUILD_TESTS)
+	find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Test)
 	enable_testing()
 	add_subdirectory(tests)
 endif (BUILD_TESTS)
@@ -43,7 +55,7 @@
 add_library(kImageAnnotator
 			${KIMAGEANNOTATOR_SRCS}
 			${CMAKE_CURRENT_SOURCE_DIR}/include/kImageAnnotator/KImageAnnotator.h
-			${CMAKE_CURRENT_SOURCE_DIR}/icons/kImageAnnotator_icons.qrc
+			${CMAKE_CURRENT_SOURCE_DIR}/resources/kImageAnnotator_resources.qrc
 			)
 
 add_library(kImageAnnotator::kImageAnnotator ALIAS kImageAnnotator)
@@ -55,10 +67,10 @@
 						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
 						   )
 
+target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets Qt5::Svg PRIVATE kColorPicker::kColorPicker)
+
 if (UNIX)
-	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker X11)
-else ()
-	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)
+	target_link_libraries(kImageAnnotator PRIVATE X11)
 endif ()
 
 target_compile_definitions(kImageAnnotator PRIVATE KIMAGEANNOTATOR_LIB)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,10 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationView.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/WidgetConfigurator.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationSettings.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabContent.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabWidget.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabContextMenu.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabCloser.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropWidget.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropView.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropSelectionHandler.cpp
@@ -22,6 +26,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationPathProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationTextProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationBlurProperties.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationStickerProperties.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemModifier.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemResizer.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationMultiItemResizer.cpp
@@ -45,13 +50,18 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationRect.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationEllipse.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumber.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumberPointer.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationPen.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationText.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationBlur.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationImage.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationSticker.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/BaseAnnotationNumber.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/KeyInputHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/TextCursor.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/CapsLockStatusChecker.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/NumberRectHelper.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/AnnotationShapeCreator.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/AddCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/DeleteCommand.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/MoveCommand.cpp
@@ -67,7 +77,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationContextMenu.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/NumberManager.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/backend/Config.cpp
-	${CMAKE_CURRENT_SOURCE_DIR}/common/provider/ScaledSizeProvider.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/common/provider/DevicePixelRatioScaler.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/CursorHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/KeyHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/MathHelper.cpp
@@ -75,7 +85,9 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ShapeHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ConfigNameHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/IconLoader.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/PathHelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/common/filter/IgnoreShortcutsFilter.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/common/filter/KeyEventListener.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ToolPicker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ColorPicker.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/NumberPicker.cpp
@@ -83,6 +95,14 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomSpinBox.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomToolButton.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomToolButtonAction.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/StickerPicker.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/GridMenu.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/GridMenuButton.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/GridMenuToolButton.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListMenuToolButton.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListMenu.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListMenuItem.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListItemGroup.cpp
 	)
 
 set(KIMAGEANNOTATOR_SRCS ${KIMAGEANNOTATOR_SRCS} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -27,25 +27,29 @@
 	common/helper/MathHelperTest.cpp
 	common/helper/ItemHelperTest.cpp
 	common/helper/ShapeHelperTest.cpp
+	common/helper/PathHelperTest.cpp
 	gui/cropper/CropSelectionRestrictorTest.cpp
 	gui/cropper/CropSelectionMoveHelperTest.cpp
 	gui/cropper/CropSelectionHandlerTest.cpp
 	gui/cropper/CropHandlesTest.cpp
 	gui/scaler/ScaleSizeHandlerTest.cpp
+	gui/annotator/tabs/AnnotationTabCloserTest.cpp
 	widgets/ToolPickerTest.cpp
 	widgets/ColorPickerTest.cpp
 	widgets/NumberPickerTest.cpp
 	widgets/FillTypePickerTest.cpp
 	widgets/CustomSpinBoxTest.cpp
+	widgets/StickerPickerTest.cpp
 	)
 
 set(TESTUTILS_SRC
 	mocks/MockSettingsProvider.cpp
+	mocks/MockDevicePixelRatioScaler.cpp
 	)
 
 add_library(KIMAGEANNOTATOR_STATIC STATIC ${KIMAGEANNOTATOR_SRCS})
 
-target_link_libraries(KIMAGEANNOTATOR_STATIC Qt5::Widgets kImageAnnotator)
+target_link_libraries(KIMAGEANNOTATOR_STATIC Qt5::Widgets Qt5::Svg kImageAnnotator)
 
 foreach (UnitTest ${UNITTEST_SRC})
 	get_filename_component(UnitTestName ${UnitTest} NAME_WE)

=== translations/CMakeLists.txt ===
find_package(Qt5LinguistTools)

set(KIMAGEANNOTATOR_LANG_TS
	kImageAnnotator_cs.ts
	kImageAnnotator_da.ts
	kImageAnnotator_de.ts
	kImageAnnotator_el.ts
	kImageAnnotator_es.ts
	kImageAnnotator_eu.ts
	kImageAnnotator_fr.ts
	kImageAnnotator_fr_CA.ts
	kImageAnnotator_gl.ts
	kImageAnnotator_hu.ts
	kImageAnnotator_id.ts
	kImageAnnotator_it.ts
	kImageAnnotator_ja.ts
	kImageAnnotator_nl.ts
	kImageAnnotator_no.ts
	kImageAnnotator_pl.ts
	kImageAnnotator_pt.ts
	kImageAnnotator_ru.ts
	kImageAnnotator_sv.ts
	kImageAnnotator_tr.ts
	kImageAnnotator_uk.ts
	kImageAnnotator_zh_Hans.ts)

if (DEFINED UPDATE_TS_FILES)
	qt5_create_translation(KIMAGEANNOTATOR_LANG_QM ${CMAKE_SOURCE_DIR}/translations ${KIMAGEANNOTATOR_SRCS} ${KIMAGEANNOTATOR_LANG_TS} OPTIONS "-no-obsolete")
else ()
	qt5_add_translation(KIMAGEANNOTATOR_LANG_QM ${KIMAGEANNOTATOR_LANG_TS})
endif ()

add_custom_target(translations ALL DEPENDS ${KIMAGEANNOTATOR_LANG_QM})

install(FILES ${KIMAGEANNOTATOR_LANG_QM} DESTINATION ${KIMAGEANNOTATOR_LANG_INSTALL_DIR})

=== debian/changelog ===
libkimageannotator (0.3.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 26 Jul 2020 13:29:17 -0700

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Build-Depends: cmake, 
- debhelper (>= 11), 
- libkcolorpicker-dev (>= 0.1.1), 
- qtbase5-dev (>= 5.6) 
+ debhelper (>= 12), 
+ libkcolorpicker-dev (>= 0.1.4),
+ qtbase5-dev, qttools5-dev-tools, qttools5-dev, 
+ libqt5svg5-dev, qtbase5-dev (>= 5.6)  
 Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/DamirPorobic/kImageAnnotator/
 
 Package: libkimageannotator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+	libkcolorpicker-dev (>= 0.1.4)
 Description: Tool for annotating images 
  kImageAnnotator depends on kColorPicker which needs to 
  be installed before building kImageAnnotator.
